Package org.apache.lucene.analysis.miscellaneous

# Class WordDelimiterFilterFactory

java.lang.Object
org.apache.lucene.analysis.AbstractAnalysisFactory
org.apache.lucene.analysis.TokenFilterFactory
org.apache.lucene.analysis.miscellaneous.WordDelimiterFilterFactory

All Implemented Interfaces:
  `ResourceLoaderAware`

@Deprecated public class WordDelimiterFilterFactory extends TokenFilterFactory implements ResourceLoaderAware
Deprecated.
Use `WordDelimiterGraphFilterFactory` instead: it produces a correct token graph so that e.g. `PhraseQuery` works correctly when it's used in the search time analyzer.
Factory for `WordDelimiterFilter`.

     <fieldType name="text_wd" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.WhitespaceTokenizerFactory"/>
         <filter class="solr.WordDelimiterFilterFactory" protected="protectedword.txt"
                 preserveOriginal="0" splitOnNumerics="1" splitOnCaseChange="1"
                 catenateWords="0" catenateNumbers="0" catenateAll="0"
                 generateWordParts="1" generateNumberParts="1" stemEnglishPossessive="1"
                 types="wdfftypes.txt" />
       </analyzer>
     </fieldType>

Since:
  3.1
SPI Name (case-insensitive: if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service).
  "wordDelimiter"

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NAME`
Deprecated.
SPI name
`static final String`
`PROTECTED_TOKENS`
Deprecated.
`static final String`
`TYPES`
Deprecated.

### Fields inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

`LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

## Constructor Summary

Constructors
Constructor
Description
`WordDelimiterFilterFactory()`
Deprecated.
Default ctor for compatibility with SPI
`WordDelimiterFilterFactory(Map<String,String> args)`
Deprecated.
Creates a new WordDelimiterFilterFactory

## Method Summary

Modifier and Type
Method
Description
`TokenFilter`
`create(TokenStream input)`
Deprecated.
`void`
`inform(ResourceLoader loader)`
Deprecated.

### Methods inherited from class org.apache.lucene.analysis.TokenFilterFactory

`availableTokenFilters, findSPIName, forName, lookupClass, normalize, reloadTokenFilters`

### Methods inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

`defaultCtorException, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NAME

public static final String NAME
Deprecated.
SPI name

See Also:
  - Constant Field Values

### PROTECTED_TOKENS

public static final String PROTECTED_TOKENS
Deprecated.

See Also:
  - Constant Field Values

### TYPES

public static final String TYPES
Deprecated.

See Also:
  - Constant Field Values

## Constructor Details

### WordDelimiterFilterFactory

public WordDelimiterFilterFactory(Map<String,String> args)
Deprecated.
Creates a new WordDelimiterFilterFactory

### WordDelimiterFilterFactory

public WordDelimiterFilterFactory()
Deprecated.
Default ctor for compatibility with SPI

## Method Details

### inform

public void inform(ResourceLoader loader) throws IOException
Deprecated.

Specified by:
  `inform` in interface `ResourceLoaderAware`
Throws:
  `IOException`

### create

public TokenFilter create(TokenStream input)
Deprecated.

Specified by:
  `create` in class `TokenFilterFactory`